package ru.yandex.webmaster3.viewer.http.recommendations;

import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class MonitoringImportantPagesWidget extends Widget {
    private long addedPages;
    private long recommendPages;
    private long limitPages;
    private long errorPages;

    public MonitoringImportantPagesWidget() {
        super(WidgetType.MONITORING_IMPORTANT_PAGES);
    }

    MonitoringImportantPagesWidget(long addedPages, long recommendPages, long limitPages, long errorPages) {
        this();
        this.addedPages = addedPages;
        this.recommendPages = recommendPages;
        this.errorPages = errorPages;
        this.limitPages = limitPages;
    }
}
